URL structure
Supported methods and overview
GET- used to retrieve a list of metadata/attribute information associated with Secure Objects and collections (i.e. items).
Detailed description
This API endpoint retrieves a list of metadata/attribute information associated with Secure Objects and collections. If the access token passed in the header of requests to this endpoint belongs to a Covata user with the:- Originator role, then only items which this user owns or is a collaborator on are returned in the response.
- Collaborator or Ad hoc roles, then only items which this user is a collaborator on are returned in the response.
- System administrator role, then any item can be returned in the response.
Note: A Covata user with this role (regardless of whether or not they also have either the Originator or Collaborator role), cannot access the appropriate cryptographic keys required to decrypt a Secure Object’s content or read-only view unless this user owns or is a collaborator (with the necessary permissions) on that Secure Object.
- whose name, or owner’s email address, first name or last name contains a string specified in the request,
OR - which are immediate children of those contained within a collection whose ID is specified in the request.
Supported roles
This API endpoint supports the following Covata user roles (as described in the Covata Platform Administrator’s Guide):- Originator
- Collaborator
- Ad hoc
- System administrator
Required headers
The appropriate access token as theBearer token:
Authorization: Bearer a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6
Optional parameters
The following optional parameters can be sent in the URL of the GET request:-
collectionId - The ID of a (parent) collection. Specifying this value filters for items (in the response) which are only immediate children of this collection. Explicitly specifying this parameter’s value as
0forces the filtering of items to those at the root level only. The default value of this parameter isnull(by omitting this parameter in the request). Omitting this parameter as well as:-
Omitting the view parameter (below) or specifying the view parameter with a valid value other than
sharingis equivalent to specifying this collectionId parameter with a value of0, which filters for items at the root level only. -
Specifying the searchText parameter and/or the view parameter with a value of
sharingdoes not result in items being filtered to those located only at the root level (or immediately within any parent collection).- If the searchText parameter is specified, filtering is conducted on all items (regardless of their location or ownership).
- Regardless of whether or not the searchText parameter is specified, specifying the view parameter with a value of
sharingfilters for all items (regardless of their location) which are owned and currently shared by the Covata user whose access token is passed in the header of the request.
-
Omitting the view parameter (below) or specifying the view parameter with a valid value other than
-
incomplete - A boolean value that indicates whether (i.e.
true) or not (false) Secure Objects whose state is Incomplete should also be retrieved in the response. If this parameter is omitted, then its value isfalseby default. -
limit - A value from
0to100indicating the maximum number of items to be returned in the response. If this parameter is omitted, then its value is10by default. -
offset - A value representing the count order (i.e. of all retrievable items from the Covata Platform) from which items are returned in the response. Calling this API endpoint with URL parameters that:
- widen (i.e. incomplete) or filter (i.e. collectionId, searchText and view) the scope of items, and/or
- modify the ordering (i.e. orderBy and sortBy) of items
0. If this parameter is omitted, then its value is0by default, which results in items being retrieved for the response from its starting item/count (based on the scope and ordering of all retrievable items from the Covata Platform). -
orderBy - An enumeration (enum) value representing the order in which items are returned in the response. This parameter orders items according to the value of the sortBy parameter specified below. Ordering items can be in either ascending alphanumeric order (i.e. where this parameter’s enum value is
ASC) or descending order (DESC). If this parameter is omitted, then its value isASCby default. -
searchText - Any text substring used to filter for all items (in the response), regardless of their location or ownership, where any of the name, email, firstName or lastName members’ values in these items must contain the text substring specified in this parameter. If this parameter is omitted, then no text substring filtering is performed in the request.
Note: This parameter cannot be specified in conjunction with collectionId. Doing so will cause the request to fail. -
sortBy - An enum value representing the field (i.e. member) value (of a retrieved item) by which items returned in the response will be sorted. These members are name (i.e. where this parameter’s enum value is
NAME), owner (OWNER), modifiedAt (MODIFIED) and createdAt (CREATED). These enum values can also be specified using lowercase characters. If this parameter is omitted, then its value isNAMEby default. -
view - A string value used to filter for items in the response which the Covata user (whose access token is passed in the header of the request):
- currently owns (i.e. where this parameter’s string value is
owned-by-me), - is a collaborator on because other people have shared the items with this user (
shared-with-me), - has shared with other people (
sharing), or - has access to (
all).
allby default. Ifsharingis specified for this parameter’s value and collectionId is omitted, then all items currently owned and shared by this Covata user are returned in the response (i.e. there is no additional filtering to items only located at the root level or immediately within any parent collection). Example (): - currently owns (i.e. where this parameter’s string value is
Returns
A JSON-formatted response containing the following members:- id - .
- count - .
- offset - .
-
items - .
- id - .
- name - .
- parentId - .
- parentName - .
- createdAt - .
- modifiedAt - .
- extension - .
- type - .
- contentSize - .
- shared - .
- hasView - .
- state - .
- labelId - .
- labelName - .
-
owner - .
- id - .
- email - .
- firstName - .
- lastName - .
- permissions -.

